"""
Qui si va per cominciare
la bella nuda al bagno
la forza muscolare
si vede l'uomo ragno!
"""
import os

import click

from conf import read, configure
from . import test, kick, port, stat, conf  #, config, go, sync

config_filename = read.get_config_filename()

@click.group()
@click.option('-f', '--conf-file', help="The configuration file", type=click.Path(),
              default=config_filename)
@click.option('-v', '--verbose', help="Be verbose, reasonably")
@click.option('-c', '--customize', is_flag=True, default=False,
              help="Create or modify a configuration")
@click.version_option()
@click.pass_context
def cli(ctx, conf_file, verbose, customize):

    if customize or not os.path.exists(conf_file):
        configure.create_customization(conf_file)
    ctx.obj = read.read_config_file(conf_file)
    ctx.verbose = verbose
    ctx.help_option_names = ['-h', '--help', '--ajiuto']

#CONTEXT_SETTINGS = dict(help_option_names=['-h', '--help'])
cli.add_command(test.test)
cli.add_command(kick.kick)
cli.add_command(port.port)
cli.add_command(stat.stat)
cli.add_command(conf.conf)


if __name__ == '__main__':
    cli(obj={})
